﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class frmImagem : Form
    {
        int ret=9;
        string ender;
        string ender1;
        bool verd = false;

        public frmImagem()
        {
            InitializeComponent();
        }

        private void btnProcurar_Click(object sender, EventArgs e)
        {
            string path = Directory.GetCurrentDirectory(); // diretorio do executavel.
            OpenFileDialog aImagem = new OpenFileDialog();
            aImagem.InitialDirectory = path;
            aImagem.Filter = "bmp files (*.bmp)|*.bmp";

            if (aImagem.ShowDialog() == DialogResult.OK)
            {
                
                ptbImagem.Image = new Bitmap(aImagem.FileName); // Colocando a imagem dentro  da pictureBox.
                this.ptbImagem.SizeMode = PictureBoxSizeMode.CenterImage; // Centralizando a imagem.
                ender = ("<ibmp>" + aImagem.FileName +"</ibmp>"); // Jogando as tags de imprimir imagem no endereço da imagem.
                ender1 = aImagem.FileName;
                verd = true; 
                      
            }
        }

        private void btnimprimir_Click(object sender, EventArgs e)
        {

            if ((verd == true && rdbMono.Checked == true))
            {

                ret = Sweda.SI300.SI300_iImprimirTexto(ender + "<sl>3</sl>" + "<gui></gui>", 0); // imprimindo imagem selecionada, saltando 5 linhas e guilhotinando.

               // ptbImagem.Image = ptbImagem.InitialImage; // Restaurando imagem inicial da pictureBox
                

                
            }

                if (verd == true && rdbColor.Checked == true)
                {
                    ret = Sweda.SI300.SI300_iImprimirImagem(ender1 );
                    if (ret == 1)
                    {
                        ret = Sweda.SI300.SI300_iImprimirTexto( "<sl>3</sl>" + "<gui></gui>", 0); 
                    
                    }
                    //ptbImagem.Image = ptbImagem.InitialImage; // Restaurando imagem inicial da pictureBox
                    
                   
                }
            
            if (ret == 9 || verd == false)
            {
                MessageBox.Show("Selecione uma imagem", "Resposta do Sistema", MessageBoxButtons.OK, MessageBoxIcon.Information);

            }

           // ret = Sweda.SI300.SI300_iImprimirImagem("c:/sweda.bmp");

          //  MessageBox.Show(""+ret);
            
             Sweda.SI300.AnalisaErro(ret);
        }

        private void btnVoltar_Click(object sender, EventArgs e)
        {
            
            this.Hide();
        }

        private void btnLimpar_Click(object sender, EventArgs e)
        {
            ptbImagem.Image = ptbImagem.InitialImage; // Restaurando imagem inicial da pictureBox
            verd = false;
        }

        private void btnLoadMemo_Click(object sender, EventArgs e)
        {
            if ((verd == true && rdbMono.Checked == true))
            {

                ret = Sweda.SI300.SI300_iCarregarBMPMemoria(ender1, 1); // Carregando imagem selecionada na memoria da impressora

            }

            if (verd == true && rdbColor.Checked == true)
            {
                ret = Sweda.SI300.SI300_iCarregarBMPMemoria(ender1, 0); // Carregando imagem selecionada na memoria da impressora
                
            }

            if (ret == 9 || verd == false)
            {
                MessageBox.Show("Selecione uma imagem", "Resposta do Sistema", MessageBoxButtons.OK, MessageBoxIcon.Information);

            }

            

            Sweda.SI300.AnalisaErro(ret);

        }

        private void btnPrintMemo_Click(object sender, EventArgs e)
        {
            ret = Sweda.SI300.SI300_iImprimirBMPMemoria();
            Sweda.SI300.AnalisaErro(ret);
        }
    }
}
